<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.OpeningAcceptanceMapper">
  <resultMap id="BaseResultMap" type="com.cool.store.entity.OpeningAcceptanceDO">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="shop_id" jdbcType="BIGINT" property="shopId" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="create_user" jdbcType="VARCHAR" property="createUser" />
    <result column="update_user" jdbcType="VARCHAR" property="updateUser" />
    <result column="storefront_photo" jdbcType="LONGVARCHAR" property="storefrontPhoto" />
    <result column="interior_photo" jdbcType="LONGVARCHAR" property="interiorPhoto" />
    <result column="monitor_photo" jdbcType="LONGVARCHAR" property="monitorPhoto" />
    <result column="cash_register_photo" jdbcType="LONGVARCHAR" property="cashRegisterPhoto" />
    <result column="info_screen_photo" jdbcType="LONGVARCHAR" property="infoScreenPhoto" />
  </resultMap>

  <select id="getOpeningAcceptanceByShopId" resultMap="BaseResultMap">
    select * from zxjp_opening_acceptance where shop_id = #{shopId}
  </select>

</mapper>